desproxy-dns(1)

NAME
desproxy-dns - DNS for dynamic connections

SYNOPSIS
   desproxy-dns dns_server proxy_host proxy_port

OPTIONS
None

DESCRIPTION
If you have direct DNS access then you don't need to do anything else. You know you have direct DNS access if you can resolve host names to IP addresses.

NOTE: as desproxy-dns listens in port 53 (which is less than 1024) you may need administrator privileges to exec desproxy-dns (in fact if you are running UN*X, you actually have to run desproxy-dns as root).

OK, so you have a dns server accessible now. But your computer doesn't know anything about that. You must configure your network accordingly (again, need to be root in UN*X).

Edit /etc/resolv.conf and add the line "nameserver 127.0.0.1". You don't have to restart anything. Just test ping and see if it works.

ENVIRONMENT
None.

FILES
None.

SEE ALSO
dnsproxy(1), ping(1)

AUTHORS
This manual page was written by Jari Aalto <jari.aalto@cante.net>, for the Debian GNU system (but may be used by others). Released under license GPL v2 or any later version.